FactoryCall
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.stubs
Class FactoryCall

    java.lang.Object

          org.gcube.dir.master.stubs.FactoryCall

    public class FactoryCall

extends

Specialises `GCUBEStagingServiceHandler` to interactions with the DIR Master service.

Author:
  Fabio Simeoni (University of Strathclyde)

Nested Class Summary
`static class` | `FactoryCall.ServiceClient` Extends `GCUBEServiceClientImpl` to serve as a cache of endpoints to the RIs of the Master service.

Constructor Summary
`FactoryCall(GCUBEScope scope, GCUBESecurityManager... securityManager)` Creates an instance from a `GCUBEScope` and a `GCUBESecurityManager`.
`FactoryCall(GCUBEScopeManager scopeManager, GCUBESecurityManager... securityManager)` Creates an instance from a `GCUBEScopeManager` and a `GCUBESecurityManager`.

Method Summary
`org.apache.axis.message.addressing.EndpointReferenceType` | `createMaster(java.lang.String... collectionIDs)` Creates a Master WR-Resource for zero or more collection identifiers.
`void` | `deployPlugin(java.io.InputStream stream, java.lang.String RSserviceEpr)` Deploys a service plugin available from a stream.
`void` | `deployPlugin(java.net.URL url)` Deploys a service plugin available at a given URL.
`java.util.List<org.apache.axis.message.addressing.EndpointReferenceType>` | `findInstances()`
`void` | `setEPR(org.apache.axis.message.addressing.EndpointReferenceType epr)` Sets a specific endpoint as the target of the call.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FactoryCall

    public FactoryCall(GCUBEScopeManager scopeManager,
                       GCUBESecurityManager... securityManager)
                throws java.lang.Exception

  Creates an instance from a `GCUBEScopeManager` and a `GCUBESecurityManager`.

  Parameters:
    `scopeManager` - the scope manager.
    `securityManager` - the security manager.
  Throws:
    `java.lang.Exception` - if the handler could not be created.

### FactoryCall

    public FactoryCall(GCUBEScope scope,
                       GCUBESecurityManager... securityManager)
                throws java.lang.Exception

  Creates an instance from a `GCUBEScope` and a `GCUBESecurityManager`.

  Parameters:
    `scope` - the scope.
    `securityManager` - the security manager
  Throws:
    `java.lang.Exception` - if the handler could not be created.

Method Detail

### createMaster

    public org.apache.axis.message.addressing.EndpointReferenceType createMaster(java.lang.String... collectionIDs)
                                                                          throws GCUBEException,
                                                                                 java.lang.Exception,
                                                                                 java.lang.IllegalArgumentException

  Creates a Master WR-Resource for zero or more collection identifiers.

  Parameters:
    `collectionIDs` - the identifiers.
  Returns:
    the WS-Resource endpoint.
  Throws:
    `java.lang.Exception` - if the call failed due to a local error.
    `GCUBEException` - if call failed due to remote error.
    `java.lang.IllegalArgumentException` - if invoked with a `null` input.

### setEPR

    public void setEPR(org.apache.axis.message.addressing.EndpointReferenceType epr)

  Sets a specific endpoint as the target of the call.

  Parameters:
    `epr` - the endpoint.

### deployPlugin

    public void deployPlugin(java.net.URL url)
                      throws GCUBEException,
                             java.lang.Exception

  Deploys a service plugin available at a given URL.

  Parameters:
    `url` - the URL.
  Throws:
    `java.lang.Exception` - if the call failed due to a local error.
    `GCUBEException` - if call failed due to remote error.

### deployPlugin

    public void deployPlugin(java.io.InputStream stream,
                             java.lang.String RSserviceEpr)
                      throws GCUBEException,
                             java.lang.Exception

  Deploys a service plugin available from a stream.

  Parameters:
    `stream` - the stream.
  Throws:
    `java.lang.Exception` - if the call failed due to a local error.
    `GCUBEException` - if call failed due to remote error.

### findInstances

    public java.util.List<org.apache.axis.message.addressing.EndpointReferenceType> findInstances()
                                                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD